#include <stdlib.h>
#include <stdio.h>
#include "queen.h"

void usage(char *pgm)
{
  fprintf(stderr,"usage: %s [-v]*\n",pgm);
  exit(-1);
}

int main(int argc, char **argv) {
  char *arg=0;
  char *pgm = argv[0];

  while (--argc) {
    arg = *++argv;
    if (*arg == '-') {
      arg++ ;
      if (*arg == 'v') {
          verbose++;
      } else {
        usage(pgm);
      }
    } else break ;      
  }
  if (argc != 0) usage(pgm) ;

  subtask_t *z = read_subtask(stdin) ;
  count_t r =  run_subtask(z) ;
  printf("%" PRC "\n",r) ;
  return 0 ;
}
